<?php
/*
Plugin Name: Auto Post Wiz
Plugin URI: http://onlinesuccesswithchris.com/
Description: Auto Post Wiz allows you to take articles, in either text file format, or grouped in a Zip file, upload them, and later automatically post them to your blog or WordPress site, at intervals that you decide upon, using categories that you have setup in WordPress. Remember to write, or purchase unique articles, or modify those you buy in bulk, enough to prevent Google or other search engines from identifying your site as using other people's already posted material. | <a href="../wp-content/plugins/auto-post-wiz/Auto-Post-Wiz_UserManual_v2.2.pdf" title="Auto Post Wiz User Manual" target="_blank">PDF User Manual</a> | <a href="../wp-content/plugins/auto-post-wiz/Auto-Post-Wiz_readme_v2.2.txt" title="Text Expander Wiz Readme Text File" target="_blank">Readme File</a> |
Version: 2.2
Author: Chris Jenkins
Author URI: http://onlinesuccesswithchris.com/
*/

define( AUTO_POST_WIZ_PLUGIN_FOLDER, '/auto-post-wiz/' );
define( AUTO_POST_WIZ_PLUGIN_URL, WP_PLUGIN_URL.AUTO_POST_WIZ_PLUGIN_FOLDER );
define( AUTO_POST_WIZ_PLUGIN_DIR, WP_PLUGIN_DIR.AUTO_POST_WIZ_PLUGIN_FOLDER );
include "lang/lang_en.php";

function auto_post_wiz_ini_admin_menu() {

	add_menu_page(
		AUTO_POST_WIZ_PLUGIN_TITLE,
		AUTO_POST_WIZ_PLUGIN_TITLE,
		'administrator',
		'auto_post_wiz-admin',
		'auto_post_wiz_admin',
		AUTO_POST_WIZ_PLUGIN_URL.'icon.png'
	);
	#add_submenu_page('auto_post_wiz-admin', 'Monitoring', 'Monitoring', 'administrator','auto_post_wiz-entries', 'auto_post_wiz_entries');
}

function auto_post_wiz_admin(){

	if($_SERVER['REQUEST_METHOD'] == "POST") {
		$message =  __auto_post_wiz_save();
	}

	__auto_post_wiz_load_assets();

	include "ui/main.php";

}

function auto_post_wiz_entries(){

	global $wpdb;

	if(isset($_GET['delete'])) $wpdb->query("DELETE FROM ".$wpdb->prefix."auto_post_wiz_entries WHERE id=".(int)$_GET['delete']);
	include "ui/entries.php";

}

function __auto_post_wiz_load_assets(){

	wp_deregister_script('jqueryuicore');
	wp_register_script('jqueryuicore',AUTO_POST_WIZ_PLUGIN_URL."assets/js/jquery-ui-1.8.21.custom.min.js");
	wp_register_style('jqueryuicore-css',AUTO_POST_WIZ_PLUGIN_URL."assets/css/jquery-ui-1.8.21.custom.css");

	wp_enqueue_script('jquery');
	wp_enqueue_script('jqueryuicore');
	wp_enqueue_style('jqueryuicore-css');

}

add_action('admin_menu', 'auto_post_wiz_ini_admin_menu');
include "functions.php";

?>
